
Infrastructure - Task #1654

Story # 1652 (Closed): Refactor Metacat MN and CN classes to reflect 0.6.2 API

Create Metacat CN impl classes

2011-06-21 18:03 - Chris Jones

Status: Closed Start date: 2011-06-21

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: CCI-0.6.2 Story Points:  

Product Version: *   

Description

Create CNBase, CNReadImpl, CNAuthorizationImpl, CNReplicationImpl, CNIdentityImpl and CNregisterImpl.  The last two will return

NotImplemented exceptions since they are handled by the CN service, not in Metacat.

History

#1 - 2011-06-21 21:14 - Chris Jones

We'll use one class to implement the CNode service:

CNodeService extends D1NodeService implements CNCore, CNRead, CNAuthorization, CNIdentity, CNRegister, CNReplication

#2 - 2011-06-23 14:40 - Chris Jones

- Status changed from New to In Progress

Stub methods are all created.  Still need to migrate functions from CNCoreImpl.

#3 - 2011-06-30 13:48 - Chris Jones

Thus far implements CNReplication, CNAuthorization, CNRead except search() (not proxied so throws NotImplemented), CNCore except

reserveIdentifier() ( listNodes() is not proxied so throws NotImplemented)

#4 - 2011-07-11 18:20 - Ben Leinfelder

- Status changed from In Progress to Closed

- Milestone set to CCI-0.6.2
